package com.xoado.domain.entity;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class SkillList {

    private List<Skill> skillList;

    private Map<String,Skill> skillMap;

    public List<Skill> getSkillList() {
        return skillList;
    }

    public void setSkillList(List<Skill> skillList) {
        this.skillList = skillList;
        if(skillMap==null){
            skillMap = new HashMap<>();
        }
        for(Skill skill:skillList){
            skillMap.put(skill.getName(),skill);
        }
    }

    public Skill getSkillByName(String skillName){
        return skillMap.get(skillName);
    }

}
